Bug 1573998 - bind-dyndb-ldap post script enables setsetbool named_write_master_zones on installation
Summary: bind-dyndb-ldap post script enables setsetbool named_write_master_zones on in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind-dyndb-ldap
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Vobornik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1574003
Blocks: 1580388 1580389 1639410
TreeView+ depends on / blocked
 
Reported: 2018-05-02 16:22 UTC by Petr Menšík
Modified: 2019-11-14 01:12 UTC (History)
6 users (show)

Fixed In Version: bind-dyndb-ldap-11.2-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1580388 1580389 (view as bug list)
Environment:
Last Closed: 2019-11-14 01:12:21 UTC
Type: Bug


Attachments (Terms of Use)
selinux snippets changing setsebool variable (2.46 KB, patch)
2018-05-23 12:08 UTC, Petr Menšík
no flags Details | Diff

Description Petr Menšík 2018-05-02 16:22:31 UTC
Description of problem:
Setsebool named_write_master_zones is permanently turned on when bind-dyndb-ldap is installed. It was required because home directory /var/named is not writeable by named daemon. This plugin requires /var/named/dyndb-ldap to be writeable by plugin. Mentioned setsebool is turned always off on uninstallation, which blocks change of default on that boolean. It would be changed on each uninstallation to non-default value.

Version-Release number of selected component (if applicable):
bind-dyndb-ldap-11.1-10.fc27

How reproducible:
always

Steps to Reproduce: 
1. getsebool named_write_master_zones
2. dnf install bind-dyndb-ldap
3. getsebool named_write_master_zones
4. dnf remove bind-dyndb-ldap
5. getsebool named_write_master_zones


Actual results:
named_write_master_zones --> off
named_write_master_zones --> on
named_write_master_zones --> off

Expected results:
named_write_master_zones --> off
named_write_master_zones --> off
named_write_master_zones --> off

Additional info:
I think /var/named/dyndb-ldap directory should have label named_cache_t instead of named_zone_t.
With upcoming change, it should behave the same way, but this changing has to be removed. Once selinux-policy is changed, new package must conflict with previous policy. bind package would conflict also.

Comment 1 Petr Menšík 2018-05-23 12:08:23 UTC
Created attachment 1440558 [details]
selinux snippets changing setsebool variable

It is still not decided how exactly would be bind policy changed. However it was proposed to use smarter way to change selinux boolean. It can save original value and restore it back on uninstallation. It requires dependency on selinux-policy, but that is required anyway by freeipa-server package.

Comment 2 Petr Menšík 2018-05-30 10:12:23 UTC
Simpler version would be depending on recent bind, which enables writing into home itself. Whether it uses setsebool there or selinux-policy change, it is implementation detail. Do not change setsebool from two places.

Comment 3 Jan Kurik 2018-08-14 10:04:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Ben Cotton 2019-10-31 20:38:20 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora Update System 2019-11-05 16:44:50 UTC
FEDORA-2019-4a85a14104 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4a85a14104

Comment 6 Fedora Update System 2019-11-06 14:13:23 UTC
bind-dyndb-ldap-11.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4a85a14104

Comment 7 Fedora Update System 2019-11-14 01:12:21 UTC
bind-dyndb-ldap-11.2-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.